## freeradius-server-2.0.2.tar.gz

=== raddb/certs/Makefile ===
######################################################################
#
#	Make file to be installed in /etc/raddb/certs to enable
#	the easy creation of certificates.
#
#	See the README file in this directory for more information.
#	
#	$Id: Makefile,v 1.8 2008/02/01 08:13:11 aland Exp $
#
######################################################################

DH_KEY_SIZE	= 1024

#
#  Set the passwords
#
PASSWORD_SERVER	= `grep output_password server.cnf | sed 's/.*=//;s/^ *//'`
PASSWORD_CA	= `grep output_password ca.cnf | sed 's/.*=//;s/^ *//'`
PASSWORD_CLIENT	= `grep output_password client.cnf | sed 's/.*=//;s/^ *//'`

USER_NAME	= `grep emailAddress client.cnf | grep '@' | sed 's/.*=//;s/^ *//'`

######################################################################
#
#  Make the necessary files, but not client certificates.
#
######################################################################
.PHONY: all
all: dh random server ca

.PHONY: client
client: client.pem

.PHONY: ca
ca: ca.pem

.PHONY: server
server: server.pem

######################################################################
#
#  Diffie-Hellman parameters
#
######################################################################
dh:
	openssl dhparam -out dh $(DH_KEY_SIZE)

######################################################################
#
#  Create a new self-signed CA certificate
#
######################################################################
ca.key ca.pem:
	openssl req -new -x509 -keyout ca.key -out ca.pem -config ./ca.cnf 

ca.der: ca.pem
	openssl x509 -inform PEM -outform DER -in ca.pem -out ca.der

######################################################################
#
#  Create a new server certificate, signed by the above CA.
#
######################################################################
server.csr server.key: 
	openssl req -new  -out server.csr -keyout server.key -config ./server.cnf

server.crt: server.csr ca.key ca.pem index.txt serial
	openssl ca -batch -keyfile ca.key -cert ca.pem -in server.csr  -key $(PASSWORD_CA) -out server.crt -extensions xpserver_ext -extfile xpextensions -config ./server.cnf

server.p12: server.crt
	openssl pkcs12 -export -in server.crt -inkey server.key -out server.p12  -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

server.pem: server.p12
	openssl pkcs12 -in server.p12 -out server.pem -passin pass:$(PASSWORD_SERVER) -passout pass:$(PASSWORD_SERVER)

.PHONY: server.vrfy
server.vrfy: ca.pem
	openssl verify -CAfile ca.pem server.pem

######################################################################
#
#  Create a new client certificate, signed by the the above server
#  certificate.
#
######################################################################
client.csr client.key: client.cnf
	openssl req -new  -out client.csr -keyout client.key -config ./client.cnf

client.crt: client.csr server.crt server.key index.txt serial
	openssl ca -batch -keyfile server.key -cert server.crt -in client.csr  -key $(PASSWORD_SERVER) -out client.crt -extensions xpclient_ext -extfile xpextensions -config ./client.cnf

client.p12: client.crt
	openssl pkcs12 -export -in client.crt -inkey client.key -out client.p12  -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)

client.pem: client.p12
	openssl pkcs12 -in client.p12 -out client.pem -passin pass:$(PASSWORD_CLIENT) -passout pass:$(PASSWORD_CLIENT)
	cp client.pem $(USER_NAME).pem

.PHONY: server.vrfy
client.vrfy: server.pem client.pem 
	c_rehash .
	openssl verify -CApath . client.pem

######################################################################
#
#  Miscellaneous rules.
#
######################################################################
index.txt:
	@touch index.txt

serial:
	@echo '01' > serial

random:
	@if [ -e /dev/urandom ] ; then \
		dd if=/dev/urandom of=./random count=10 >/dev/null 2>&1; \
	else \
		date > ./random; \
	fi

print:
	openssl x509 -text -in server.crt

clean:
	@rm -f *~ *old client.csr client.key client.crt client.p12 client.pem

#
#  Run distclean ONLY if there's a CVS directory, AND it points to
#  cvs.freeradius.org.  Otherwise, it would be easy for administrators
#  to type "make distclean", and destroy their CA and server certificates.
#
distclean:
	@if [ -d CVS -a `grep -i 'cvs\.freeradius\.org' CVS/Root` ] ; then \
		rm -f *~ dh *.csr *.crt *.p12 *.der *.pem *.key index.txt* \
			serial* random *\.0 *\.1; \
	fi

=== debian/changelog ===
freeradius (2.0.2-0) unstable; urgency=medium
  * Added notes on how to debug the server in radiusd.conf
  * Moved all "log_*" in radiusd.conf to log{} section.
  * Added ca.der target in raddb/certs/Makefile.
  * Added ability send raw attributes via "Raw-Attribute = 0x0102..."
  * Permit "unlang" policies inside of Auth-Type{} sub-sections.
  * "listen" sections can now have "type = proxy"
  * Fixed reading of "detail" files.
  * Allow inner EAP tunneled sessions to be proxied.
  * Corrected MySQL schemas
  * syslog now works in log{} section.
  * Corrected typo in raddb/certs/client.cnf
  * Updated raddb/sites-available/proxy-inner-tunnel.
  * Ignore zero-length attributes in received packets.
  * Correct memcpy when dealing with unknown attributes.
  * Corrected debugging messages in attr_rewrite.
  * Corrected generation of State attribute in EAP.
  * Fall back to DEFAULT realm if no realm was found.
  * Updated example raddb/sites-available/proxy-inner-tunnel
  * Corrected behavior of attr_filter to match documentation.

 -- Alan DeKok <aland@freeradius.org>  Thu, 14 Feb 2008 12:08:06 +0100

freeradius (2.0.1-0) unstable; urgency=low
  * Improve "unlang".  See "man unlang"
  * update acct_module
  * fix parsing of syslog logging
  * Minor fixes over 2.0.0

 -- Alan DeKok <aland@freeradius.org>  Tue, 22 Jan 2008 14:25:44 +0100

freeradius (2.0.0-0) unstable; urgency=low

  * New upstream release.
  * Upgrade debhelper compatibility to version 5. This breaks the build
    on Sarge, which is no longer in stable.
  * Rewrite large parts of debian/rules based on the changes from the
    downstream debian package. (use dpatches and debhelper files where
    possible)
  * New initscript that uses the LSB functions instead of calling directly
    start-stop-daemon.
  * Create default certificates in postinst to enable the EAP modules (tls,
    ttls and peap) when the server starts for the first time.
  * Update Standards-Version to 3.7.3.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sat,  4 Jan 2008 20:15:42 +0100

freeradius (1.1.7-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Tue, 26 Jun 2007 09:52:41 +0100

freeradius (1.1.6-0) unstable; urgency=low

  * New upstream release.

 -- Alan DeKok <aland@freeradius.org>  Mon, 26 Mar 2007 14:57:03 +0100

freeradius (1.1.5-0) unstable; urgency=low

  * New upstream release.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Tue,  6 Mar 2007 23:52:55 +0100

freeradius (1.1.3-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatch merged in mainstream CVS:
    - 01-actually_check_for_unset_password
  * Remove irrelevant dpatch after autotools upgrade:
    - 13_a_libtool_to_call_your_own
  * Update debian/rules because of autotools upgrade, too.
  * Fix errors in initscript when trying to reload even if the server
    isn't running.

 -- Nicolas Baradakis <nbk@sitadelle.com>  Mon, 10 Jul 2006 14:06:04 +0200

freeradius (1.1.2-0) unstable; urgency=low

  * New upstream release.
  * Update dpatch for 1.1.2:
    - 13_a_libtool14_to_call_your_own

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 21 May 2006 19:20:03 +0200

freeradius (1.1.1-0) unstable; urgency=low

  * New upstream release.
  * Delete dpatches merged in mainstream CVS:
    - 01_NET-SNMP_build_support
    - 02_document_actual_shared_secret_maximum_length
    - 12_more_dialup_admin_various_fixes
  * Remove irrelevant dpatch after rlm_eap changes in CVS:
    - 06_libtool14_vs_rlm_eap_tls
  * Features that break compatibility with Sarge have not been merged:
    - debhelper V5 support
    - lsb-init functions

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun, 12 Feb 2006 16:29:20 +0100

freeradius (1.1.0-1) unstable; urgency=low
  * ReDebianise upstream tarball:
    - Deleted RFCs: 2243 2289 2433 2548 2618 2619 2620 2621 2716 2759 2809 2865
                    2866 2867 2868 2869 2882 2924 3162 3575 3576 3579 3580
                    draft-kamath-pppext-eap-mschapv2-00

  * New FreeRADIUS modules marked stable by new upstream release
    - rlm_perl
    - rlm_sqlcounter
    - rlm_sql_log + radsqlrelay
    - rlm_otp (formerly rlm_x99_token, not built as it depends on OpenSSL)

  * Remove upstream-integrated patches:
    - 02_EAP-SIM_doesnt_need_openssl
    - 03_X99_is_not_stable
    - 07_manpage_fixups
    - 09_use_crypth_if_we_have_it
    - 10_escape_entire_ldap_string
    - 11_dont_xlat_possibly_bad_usernames_in_bad_accounting_packets
    - 12_dialup_admin_various_fixes

  * More dialup-admin fixes from Arve Seljebu
    - Fix redirects in dialup-admin pages on servers with
      register_globals turned off.
      Closes: #333704
    - HTTP form fields will always fail is_int, use in_numeric instead
      Closes: #335149
    - Created 12_more_dialup_admin_various_fixes

  * Update to Policy 3.6.2.0
  * Upgrade Debhelper support to V5
  * Don't install the .in files with the examples
  * Prefer libmysqlclient15-dev
    Closes: #343779
  * Shared secrets can only be 31 characters long, note this in clients.conf
    - Created 02_document_actual_shared_secret_maximum_length
    Closes: 344606
  * Added support for lsb-init functions

 -- Paul Hampson <Paul.Hampson@anu.edu.au>  Sun, 15 Jan 2006 13:34:13 +1100

freeradius (1.1.0-0) unstable; urgency=low

  * New upstream release.
  * Update set of patches:
    - 01_NET-SNMP_build_support.dpatch
    - 06_libtool14_vs_rlm_eap_tls.dpatch
    - 13_a_libtool14_to_call_your_own.dpatch

 -- Nicolas Baradakis <nbk@sitadelle.com>  Sun,  1 Jan 2006 18:15:47 +0100

freeradius (1.0.5-2) unstable; urgency=low

  * Stop dragging non-PIC code from libeap.a into rlm_eap_sim.so and
    rlm_eap.so.
    (Thanks to Peter Salinger)
    Closes: #288547
    - Rename 06_libtool14_vs_rlm_eap_tls to 06_libtool14_vs_rlm_eap
      and modify with Peter's changes and some Makefile hackery to
      get it all linking
  * Don't rerun configure during the build.
    (Thanks to Kurt Roeckx)


=== debian/control ===
Source: freeradius
Build-Depends: debhelper (>= 5), dpatch (>= 2), dpkg-dev (>= 1.13.19), autotools-dev, libtool (>= 1.5), libltdl3-dev, libpam0g-dev, libmysqlclient15-dev | libmysqlclient-dev, libgdbm-dev, libldap2-dev, libsasl2-dev, libiodbc2-dev, libkrb5-dev, libperl-dev, libpcap-dev, python-dev, snmp, libsnmp9-dev | libsnmp-dev, libpq-dev, libssl-dev
Section: net
Priority: optional
Maintainer: Nicolas Baradakis <nbk@sitadelle.com>
Standards-Version: 3.7.3.0

Package: freeradius
Architecture: any
Depends: lsb-base (>= 3.1-23.2), adduser, openssl, ${shlibs:Depends}
Provides: radius-server
Suggests: freeradius-ldap, freeradius-postgresql, freeradius-mysql, freeradius-krb5
Description: a high-performance and highly configurable RADIUS server
 FreeRADIUS is the world's most popular RADIUS Server. It is fast, flexible,
 configurable, and supports more authentication protocols than most commercial
 servers. It includes support for SQL, LDAP, RADIUS Proxying, failover, load
 balancing, and nearly 100 vendor dictionary files.
 .
 Web site: http://www.freeradius.org/

Package: freeradius-krb5
Architecture: any
Depends: freeradius (= ${source:Version}), ${shlibs:Depends}
Description: kerberos module for FreeRADIUS server
 The FreeRADIUS server can use Kerberos to authenticate users, and this module
 is necessary for that.

Package: freeradius-ldap
Architecture: any
Depends: freeradius (= ${source:Version}), ${shlibs:Depends}
Description: LDAP module for FreeRADIUS server
 The FreeRADIUS server can use LDAP to authenticate users, and this module
 is necessary for that.

Package: freeradius-postgresql
Architecture: any
Depends: freeradius (= ${source:Version}), ${shlibs:Depends}
Description: PostgreSQL module for FreeRADIUS server
 The FreeRADIUS server can use PostgreSQL to authenticate users and do
 accounting, and this module is necessary for that.

Package: freeradius-mysql
Architecture: any
Depends: freeradius (= ${source:Version}), ${shlibs:Depends}
Description: MySQL module for FreeRADIUS server
 The FreeRADIUS server can use MySQL to authenticate users and do accounting,
 and this module is necessary for that.

Package: freeradius-iodbc
Architecture: any
Depends: freeradius (= ${source:Version}), ${shlibs:Depends}
Description: iODBC module for FreeRADIUS server
 The FreeRADIUS server can use iODBC to access databases to authenticate users
 and do accounting, and this module is necessary for that.

Package: freeradius-dialupadmin
Architecture: all
Depends: php5 | php5-cgi
Recommends: ${perl:Depends}
Suggests: apache2-mpm-prefork | httpd, php5-mysql | php5-pgsql, libdate-manip-perl
Description: set of PHP scripts for administering a FreeRADIUS server
 These scripts provide a web-based interface for administering a FreeRADIUS
 server which stores authentication information in either SQL or LDAP.

Package: freeradius-dbg
Architecture: any
Priority: extra
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: debug symbols for the FreeRADIUS packages
 FreeRADIUS is a modular, high performance and feature-rich RADIUS server.
 This package contains the detached debugging symbols for the Debian FreeRADIUS
 packages.

=== debian/rules ===
#! /usr/bin/make -f
#
#	debian/rules file for freeradius
#

.NOTPARALLEL:

SHELL		= /bin/bash

package		= freeradius
freeradius_dir	= $(CURDIR)/debian/tmp

mandir		= /usr/share/man
libdir		= /usr/lib/$(package)
logdir		= /var/log/$(package)
pkgdocdir	= /usr/share/doc/$(package)
raddbdir	= /etc/$(package)

# Use "openssl=no" below to build a binary-distributable version
# for the Debian archive.
openssl = yes

include /usr/share/dpatch/dpatch.make

modulelist=krb5 ldap sql_mysql sql_iodbc sql_postgresql

export DEB_HOST_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
export DEB_BUILD_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

export CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

# Autoconf 2.52+ arch support
ifeq ($(DEB_BUILD_GNU_TYPE), $(DEB_HOST_GNU_TYPE))
	confflags += --build $(DEB_HOST_GNU_TYPE)
else
	confflags += --host $(DEB_BUILD_GNU_TYPE) --build $(DEB_HOST_GNU_TYPE)
endif

ifeq ($(openssl), no)
	 confflags += --without-openssl --without-rlm_eap_peap --without-rlm_eap_tls --without-rlm_eap_ttls --without-rlm_otp
endif

configure-stamp: patch-stamp
	dh_testdir

	# Update the autotools files if necessary
	# Force Build-Depends on autotools-dev for /usr/share/misc/config.*
	if [ -e config.sub.dist ]; then rm config.sub; else mv config.sub config.sub.dist; fi
	if [ -e config.guess.dist ]; then rm config.guess; else mv config.guess config.guess.dist; fi
	ln -s /usr/share/misc/config.sub config.sub
	ln -s /usr/share/misc/config.guess config.guess

	./configure \
		$(confflags) \
		--config-cache \
		--prefix=/usr \
		--exec-prefix=/usr \
		--mandir=$(mandir) \
		--sysconfdir=/etc \
		--libdir=$(libdir) \
		--datadir=/usr/share \
		--localstatedir=/var \
		--with-raddbdir=$(raddbdir) \
		--with-logdir=/var/log/$(package) \
		--with-system-libtool --disable-ltdl-install \
		--with-large-files --with-udpfromto --with-edir \
		--enable-developer \
		--with-rlm-sql-postgresql-lib-dir=`pg_config --libdir` \
		--with-rlm-sql-postgresql-include-dir=`pg_config --includedir`

	touch configure-stamp

build: build-arch build-indep

build-indep: patch build-indep-stamp
build-indep-stamp: configure-stamp
	touch build-indep-stamp

build-arch: build-arch-stamp
build-arch-stamp: configure-stamp
	$(MAKE)
	touch build-arch-stamp

install: install-arch install-indep

install-indep: install-indep-stamp
install-indep-stamp: build-indep-stamp
	dh_testdir
	dh_testroot

	$(MAKE) -C dialup_admin DIALUP_PREFIX=/usr/share/freeradius-dialupadmin \
				DIALUP_DOCDIR=/usr/share/doc/freeradius-dialupadmin \
				DIALUP_CONFDIR=/etc/freeradius-dialupadmin \
				R=$(freeradius_dir) install
	mv $(freeradius_dir)/usr/share/freeradius-dialupadmin/bin/dialup_admin.cron \
	   $(freeradius_dir)/usr/share/freeradius-dialupadmin/bin/freeradius-dialupadmin.cron

	touch install-indep-stamp

install-arch: install-arch-stamp
install-arch-stamp: build-arch-stamp
	dh_testdir
	dh_testroot

	$(MAKE) install R=$(freeradius_dir)

	# Rename radius binary to play nicely with others
	mv $(freeradius_dir)/usr/sbin/radiusd $(freeradius_dir)/usr/sbin/$(package)
	mv $(freeradius_dir)/$(mandir)/man8/radiusd.8 $(freeradius_dir)/$(mandir)/man8/$(package).8

	# Clean up after install
	rm -f $(freeradius_dir)/etc/freeradius/example.pl
	rm -f $(freeradius_dir)/usr/sbin/rc.radiusd
	rm -f $(freeradius_dir)/usr/share/doc/freeradius/ChangeLog

	# Install the SNMP MIBs into debian/tmp
	install -m 755 -d $(freeradius_dir)/usr/share/snmp/mibs
	install -m 644 mibs/*.txt $(freeradius_dir)/usr/share/snmp/mibs

	touch install-arch-stamp

binary: binary-indep binary-arch

binary-indep: install-indep-stamp
	dh_testroot
	#dh_clean -i -k
	dh_installdirs -i
	dh_install -XCVS -X.svn -i --sourcedir=debian/tmp
	dh_installdocs -XCVS -X.svn -i
	dh_installchangelogs -XCVS -X.svn dialup_admin/Changelog -i
	dh_installexamples -XCVS -X.svn -i
	dh_installman -XCVS -X.svn -i
	dh_link -i
	dh_perl -i
	dh_installdeb -i
	dh_compress -i
	dh_fixperms -i
	dh_md5sums -i
	dh_gencontrol -i
	dh_builddeb -i

binary-arch: install-arch-stamp
	dh_testroot
	#dh_clean -a -k
	dh_installdirs -a
	dh_install -XCVS -X.svn -a --sourcedir=debian/tmp
	# Not nice, but it works; remove modules we package seperately
	# from the main package
	for mod in ${modulelist}; do \
		rm -f $(CURDIR)/debian/freeradius/usr/lib/freeradius/rlm_$$mod* ; \
	done
	dh_installdocs -XCVS -X.svn -a
	dh_installexamples -XCVS -X.svn -a
	dh_installchangelogs -XCVS -X.svn -a doc/ChangeLog
	dh_installman -XCVS -X.svn -a
	dh_strip -a --dbg-package=freeradius-dbg
	dh_installlogrotate -a
	dh_installinit -n -a
	dh_installpam --name=radiusd -a
	# We don't need ldconfig. None of our libraries go in it's paths
	dh_makeshlibs -n -a
	dh_shlibdeps -a
ifeq ($(openssl), no)
	for pkg in $(shell grep ^Package debian/control | awk '{print $$2}') ; do \
		if dh_shlibdeps -p $$pkg -- -O | grep -q libssl; then \
			echo "$$pkg links to openssl" ; \
			exit 1 ; \
		fi ; \
	done
endif
	dh_installdeb -a
	dh_compress -a
	dh_fixperms -a
	dh_md5sums -a
	dh_gencontrol -a
	dh_builddeb -a

clean: unpatch
	dh_testdir
	dh_clean
	rm -f build-arch-stamp build-indep-stamp libltdl/stamp-h1
	rm -f install-arch-stamp install-indep-stamp configure-stamp

	[ -f Make.inc ] && make distclean || true
	# The make clean forgets to remove this build directory
	[ -d src/modules/lib ] && rm -fr src/modules/lib || true

	# Put the original autotools files back in place
	[ -f config.sub.dist ] && rm config.sub && mv config.sub.dist config.sub || true
	[ -f config.guess.dist ] && rm config.guess && mv config.guess.dist config.guess || true

.PHONY: build build-indep build-arch install install-indep install-arch binary binary-arch binary-indep clean
